using Tiobon.Core.Common;
using Tiobon.Core.IServices.BASE;
using Tiobon.Core.Model;
using Tiobon.Core.Model.Models;

namespace Tiobon.Core.IServices;

/// <summary>
/// 人力需求维护(自定义服务接口)
/// </summary>	
public interface IGhrh_HumanRequestServices : IBaseServices<Ghrh_HumanRequest, Ghrh_HumanRequestDto, InsertGhrh_HumanRequestInput, EditGhrh_HumanRequestInput>
{
    Task<ServiceResult> UpdateStatus(InsertGhrh_HumanRequestInput input, string status);

    Task<ServiceResult<long>> InsertByStatus(InsertGhrh_HumanRequestInput insertModel, string status);

    Task<ServicePageResult<Ghrh_HumanRequestDto>> QueryFilterSummaryPage(QueryBody filter);

    Task<ServiceResult<ExcelData>> ExportSummaryExcel(QueryExport body);

    Task<ServicePageResult<Ghrh_HumanRequestDto>> QueryFilterCompletePage(QueryBody filter);

    Task<ServiceResult<ExcelData>> ExportCompleteExcel(QueryExport body);
}